<template>
  <div class="main-contain">
    <div class="position">
      <bread-crumb :crumbs="crumbs"></bread-crumb>
      <el-button
        size="small"
        @click="handleWarehouse"
        class="filter-item"
        style="float:right;"
        type="primary"
        icon="el-icon-circle-plus-outline"
        >新增</el-button
      >
    </div>

    <div class="app-container">
      <div class="cell clearfix">
        <el-input
          size="small"
          style="width: 400px;"
          v-model.trim="searchKey"
          class="filter-item"
          placeholder="单据编码/制单人/药品名称"
        />
        <el-button
          size="small"
          class="filter-item"
          type="primary"
          icon="el-icon-search"
          @click="search"
          >搜索</el-button
        >
        <div style="margin-left:10px;">
          <label class="title"><span class="name">入库时间</span> : </label>
          <el-date-picker
            size="small"
            v-model="start_time"
            prefix-icon="el-icon-date"
            :editable="false"
            style="width: 196px;"
            type="date"
            placeholder="选择日期时间"
            align="right"
            format="yyyy-MM-dd"
            value-format="yyyy-MM-dd"
            @change="startTimeChange"
          ></el-date-picker>
          <span class="cellLine"> - </span>
          <el-date-picker
            size="small"
            v-model="end_time"
            prefix-icon="el-icon-date"
            :editable="false"
            style="width: 196px;"
            type="date"
            placeholder="选择日期时间"
            align="right"
            format="yyyy-MM-dd"
            value-format="yyyy-MM-dd"
            @change="endTimeChange"
          ></el-date-picker>
        </div>
      </div>

      

      <div class="cell clearfix">
        <el-checkbox
          style="width: 70px"
          v-model="checked"
          @change="changeAllSelected"
          >全选</el-checkbox
        >
        <el-button size="small" icon="el-icon-delete" @click="batchDelete">删除</el-button>
        <el-button size="small" type="primary" @click="drugPrint()">打印</el-button>
        <el-button size="small" type="primary" @click="toExport()">导出</el-button>
      </div>

      <el-table
        :data="Warehouse.warehouseDate"
        :class="signAndWeighBoxPatients"
        style="width: 100%"
        border
        highlight-current-row
        v-loading="Warehouse.loading"
        ref="multipleTable"
        @selection-change="select"
        :row-style="{ color: '#303133' }"
        :header-cell-style="{
          backgroundColor: 'rgb(245, 247, 250)',
          color: '#606266'
        }"
       @current-change="handleCurrentChangeOne"
      >
        <el-table-column align="center" type="selection" width="55">
        </el-table-column>

        <el-table-column label="单据日期" align="center">
          <template slot-scope="scope">
            {{ scope.row.warehousing_time | parseTime("{y}-{m}-{d}") }}
          </template>
        </el-table-column>

        <el-table-column label="单据编号" align="center">
          <template slot-scope="scope">
            {{ scope.row.warehousing_order }}
          </template>
        </el-table-column>

        <el-table-column label="制单人" align="center">
          <template slot-scope="scope">
            {{ getXuserName(scope.row.creater) }}
          </template>
        </el-table-column>

        <el-table-column label="操作" align="center" width="240">
          <template slot-scope="scope">

            <el-tooltip
              class="item"
              effect="dark"
              content="编辑"
              placement="top"
            >
              <el-button
                size="small"
                type="primary"
                icon="el-icon-edit-outline"
                @click="handleEdit(scope.$index, scope.row)"
              >
              </el-button>
            </el-tooltip>
            <el-tooltip
              class="item"
              effect="dark"
              content="删除"
              placement="top"
            >
              <el-button
                size="small"
                type="danger"
                icon="el-icon-delete"
                @click="handleDelete(scope.$index, scope.row)"
              >
              </el-button>
            </el-tooltip>
          </template>
        </el-table-column>
      </el-table>

      <el-pagination
        @size-change="handleSizeChange"
        @current-change="handleCurrentChange"
        :page-sizes="[5, 10, 50, 100]"
        :page-size="5"
        background
        style="margin-top:20px;text-align: right"
        layout="total, sizes, prev, pager, next, jumper"
        :total="total"
      >
      </el-pagination>
      <el-table
        v-show="showOne"
        :data="WarehouseInfo.warehouseInfoDate"
        :class="signAndWeighBoxPatients"
        style="width: 100%;margin-top:10px;"
        border
        highlight-current-row
        v-loading="Warehouse.loading"
        ref="multipleTableOne"
        @selection-change="select"
        :row-style="{ color: '#303133' }"
        :header-cell-style="{
          backgroundColor: 'rgb(245, 247, 250)',
          color: '#606266'
        }"
      >
        <el-table-column label="药品名称" align="center">
          <template slot-scope="scope">
             {{scope.row.drug.drug_name}}
          </template>
        </el-table-column>
        <el-table-column label="药品类型" align="center">
          <template slot-scope="scope">
              {{getDrugType(scope.row.drug.drug_type)}}
          </template>
        </el-table-column>
        <el-table-column label="规格&单位" align="center">
          <template slot-scope="scope">
            {{scope.row.drug.dose}}&nbsp;{{scope.row.drug.dose_unit}}*{{scope.row.drug.min_number}}{{scope.row.drug.min_unit}}/{{scope.row.drug.max_unit}}
          </template>
        </el-table-column>
        <el-table-column label="批号" align="center">
          <template slot-scope="scope">
            {{scope.row.batch_number}}
          </template>
        </el-table-column>
        <el-table-column label="入库数量" align="center">
          <template slot-scope="scope">
            {{scope.row.warehousing_count}}{{scope.row.drug.max_unit}}
          </template>
        </el-table-column>
        <el-table-column label="进货价" align="center">
          <template slot-scope="scope">
            {{scope.row.price}}
          </template>
        </el-table-column>
        <el-table-column label="总价" align="center">
          <template slot-scope="scope">
            {{scope.row.total_price}}
          </template>
        </el-table-column>
        <el-table-column label="生产厂家" align="center">
          <template slot-scope="scope">
            {{getManufacturer(scope.row.drug.manufacturer)}}
          </template>
        </el-table-column>
       <el-table-column label="生产日期" align="center">
          <template slot-scope="scope">
             {{getTime(scope.row.product_date)}}
          </template>
        </el-table-column>
        <el-table-column label="有效日期" align="center">
          <template slot-scope="scope">
            {{getTime(scope.row.expiry_date)}}
          </template>
        </el-table-column>
         <el-table-column label="经销商" align="center">
          <template slot-scope="scope">
            {{getDealer(scope.row.dealer)}}
          </template>
        </el-table-column>
        <el-table-column label="批准文号" align="center">
          <template slot-scope="scope">
             {{scope.row.number}}
          </template>
        </el-table-column>
        <el-table-column label="备注" align="center">
          <template slot-scope="scope">
            {{scope.row.remark}}
          </template>
        </el-table-column>
      </el-table>
    </div>


    <el-dialog
      title="药品详细"
      :visible.sync="dialogVisible"
      width="60%">
      <span>
          <el-table
          :data="WarehouseInfo.warehouseInfoDate"
          :class="signAndWeighBoxPatients"
          style="width: 100%"
          border
          :header-cell-style="{ backgroundColor: 'rgb(245, 247, 250)' }"
        >
          <el-table-column min-width="35" align="center">
            <template slot="header" slot-scope="scope">
              <span>药品名称</span>
            </template>

            <template slot-scope="scope">
              <span v-if="scope.row.drug_id != 0">{{
                scope.row.drug.drug_name
              }}</span>
            </template>
          </el-table-column>
          <el-table-column min-width="35" align="center">
            <template slot="header" slot-scope="scope">
              <span>规格名称</span>
            </template>
            <template slot-scope="scope">
              <span v-if="scope.row.drug_id != 0">{{
                scope.row.drug?scope.row.drug.drug_spec:''
              }}</span>
            </template>
          </el-table-column>

          <el-table-column min-width="23" align="center">
            <template slot="header" slot-scope="scope">
              <span>单价</span>
            </template>
            <template slot-scope="scope">
              <span>{{ scope.row.price }}</span>
            </template>
          </el-table-column>

          <el-table-column min-width="23" align="center">
            <template slot="header" slot-scope="scope">
              <span>入库数量</span>
            </template>
            <template slot-scope="scope">
              <span>{{ scope.row.warehousing_count }}</span>
            </template>
          </el-table-column>

          <el-table-column label="总价" min-width="20" align="center">
            <template slot-scope="scope">
              {{ calculate(scope.row.price * scope.row.warehousing_count) }}
            </template>
          </el-table-column>

          <el-table-column align="center" min-width="25">
            <template slot="header" slot-scope="scope">
              <span>批号</span>
            </template>
            <template slot-scope="scope">
              <span>{{ scope.row.number }}</span>
            </template>
          </el-table-column>
          <el-table-column label="生产日期" min-width="40" align="center">
            <template v-if="scope.row.product_date != 0" slot-scope="scope">
              {{ scope.row.product_date | parseTime("{y}-{m}-{d}") }}
            </template>
          </el-table-column>
          <el-table-column label="有效日期" min-width="40" align="center">
            <template v-if="scope.row.expiry_date != 0" slot-scope="scope">
              {{ scope.row.expiry_date | parseTime("{y}-{m}-{d}") }}
            </template>
          </el-table-column>
          <el-table-column label="备注" min-width="20" align="center">
            <template slot-scope="scope">
              <el-popover placement="top-start" width="250" trigger="hover">
                <div>{{ scope.row.remark }}</div>
                <span slot="reference" v-if="scope.row.remark.length > 20">{{
                  scope.row.remark.substr(0, 20) + "..."
                }}</span>
                <span slot="reference" v-else>{{ scope.row.remark }}</span>
              </el-popover>
            </template>
          </el-table-column>
        </el-table>
      </span>
      <span slot="footer" class="dialog-footer">
        <el-button @click="dialogVisible = false">取 消</el-button>
        <el-button type="primary" @click="dialogVisible = false">确 定</el-button>
      </span>
    </el-dialog>


  </div>
</template>

<script>
import { uParseTime } from "@/utils/tools";
import { fetchAllAdminUsers, fetchAllDoctorAndNurse } from "@/api/doctor";
import {
  deleteDrugWarehouseInfo,
  GetAllConfig,
  getDrugWarehouseInfoList,
  getDrugWarehouseList,
  exportDrugList
} from "@/api/drug/drug_stock";
import {getAllDrugList}from "@/api/data"
 import {getDictionaryDataConfig } from "@/utils/data";
import BreadCrumb from "../../components/bread-crumb";

export default {
  name: "drugStockInOrder",
  components: { BreadCrumb },
  created() {
    this.drugTypeList = getDictionaryDataConfig('system','drug_type') 
    var nowDate = new Date();
    var nowYear = nowDate.getFullYear();
    var nowMonth = nowDate.getMonth() + 1;
    var nowDay = nowDate.getDate();
    this.end_time =
      nowYear +
      "-" +
      (nowMonth < 10 ? "0" + nowMonth : nowMonth) +
      "-" +
      (nowDay < 10 ? "0" + nowDay : nowDay);
    nowDate.setMonth(nowDate.getMonth() - 1);
    nowYear = nowDate.getFullYear();
    nowMonth = nowDate.getMonth() + 1;
    nowDay = nowDate.getDate();
    this.start_time =
      nowYear +
      "-" +
      (nowMonth < 10 ? "0" + nowMonth : nowMonth) +
      "-" +
      (nowDay < 10 ? "0" + nowDay : nowDay);

    this.GetWarehouse();
    this.fetchAllAdminUsers();
   
  },
  data() {
    return {
      crumbs: [
        { path: false, name: "库存管理" },
        { path: false, name: "入库单" }
      ],
      searchKey: "",
      type: 1,
      page: 1,
      limit: 5,
      checked: false,
      total: 0,
      pageTotal: 0,
      pageSelect: 0,
      adminUserOptions: [],
      multipleSelection: [],
      signAndWeighBoxPatients: "sign-and-weigh-box-patients",
      start_time: "",
      end_time: "",
      selectedTableData: [],
      Warehouse: {
        loading: false,
        warehouseDate: [],
        tableCurrentIndex: ""
      },

      WarehouseInfo: {
        loading: false,
        warehouseInfoDate: []
      },
      
      startTime: "",
      dialogVisible:false,
      showOne:false,
      drugTypeList:[],
      manufacturerList:[],
      order_id:"",
      dealerList:[],
      exportList:[],
    };
  },
  methods: {
    search: function() {
      const Params = {
        page: this.page,
        limit: this.limit,
        start_time: this.start_time,
        end_time: this.end_time,
        type: this.type,
        keywords: this.searchKey
      };
      console.log("parasm2222222",Params)
      this.Warehouse.warehouseDate = [];
      getDrugWarehouseList(Params).then(response => {
        if (response.data.state == 0) {
          this.Warehouse.loading = false;
          this.$message.error(response.data.msg);
          return false;
        } else {
          this.Warehouse.loading = false;
          this.total = response.data.data.total;
          for (let i = 0; i < response.data.data.list.length; i++) {
            this.Warehouse.warehouseDate.push(response.data.data.list[i]);
          }
          
        }
      });
    },
    GetWarehouse: function() {
      const Params = {
        page: this.page,
        limit: this.limit,
        start_time: this.start_time,
        end_time: this.end_time,
        type: this.type,
        keywords:this.searchKey,
      };
      this.Warehouse.warehouseDate = [];
      getDrugWarehouseList(Params).then(response => {
        if (response.data.state == 0) {
          this.Warehouse.loading = false;
          this.$message.error(response.data.msg);
          return false;
        } else {
          this.Warehouse.loading = false;
          this.total = response.data.data.total;
          for (let i = 0; i < response.data.data.list.length; i++) {
            this.Warehouse.warehouseDate.push(response.data.data.list[i]);
          }
          // console.log("列表999988888",this.warehouse.warehouseDate)
        }
      });
    },
    tableRowClassName({ row, rowIndex }) {
      // 把每一行的索引放进row
      row.index = rowIndex;
    },
    onRowClick(row, event, column) {
      this.WarehouseInfo.warehouseInfoDate = [];
      this.Warehouse.tableCurrentIndex = row.index;
      const params = {
        id: row.id
      };
      this.WarehouseInfo.loading = true;
      getDrugWarehouseInfoList(params).then(response => {
        if (response.data.state == 0) {
          this.WarehouseInfo.loading = false;
          this.$message.error(response.data.msg);
          return false;
        } else {
          this.WarehouseInfo.loading = false;
          for (let i = 0; i < response.data.data.info.length; i++) {
            this.WarehouseInfo.warehouseInfoDate.push(
              response.data.data.info[i]
            );
          }
        }
      });
    },
    getXuserName(id) {
      if (id <= 0) {
        return "";
      }
      var name = "";
      if (
        this.adminUserOptions == null ||
        typeof this.adminUserOptions.length === "undefined"
      ) {
        return name;
      }
      var leng = this.adminUserOptions.length;
      if (leng == 0) {
        return name;
      }
      for (let index = 0; index < leng; index++) {
        if (this.adminUserOptions[index].id == id) {
          name = this.adminUserOptions[index].name;
          break;
        }
      }
      return name;
    },
    fetchAllDoctorAndNurse() {
      fetchAllDoctorAndNurse().then(response => {
        if (response.data.state == 1) {
          this.doctorOptions = response.data.data.doctors;
        }
      });
    },
    fetchAllAdminUsers() {
      fetchAllAdminUsers().then(response => {
        console.log(response);
        if (response.data.state == 1) {
          this.adminUserOptions = response.data.data.users;
          console.log("制单人2222222",this.adminUserOptions)
          var alen = this.adminUserOptions.length;
          for (let index = 0; index < alen; index++) {
            if (this.adminUserOptions[index].user_type == 2) {
              // this.doctorOptions.push(this.adminUserOptions[index]);
            }
          }
        }
      });
    },
    clicks: function() {
      console.log(this.WarehouseInfo.warehouseInfoDate);
    },
    handleWarehouse: function() {
      this.$router.push({ path: "/drugstock/in/add", query: { type: this.type } });
    },
    handleSelectionChange: function(val) {
      this.multipleSelection = val;
    },
    handleSizeChange(val) {
      this.limit = val;
      this.GetWarehouse();
    },
    handleCurrentChange(val) {
      this.page = val;
      this.GetWarehouse();
    },
    startTimeChange(val) {
    
      var time = this.getTimestamp(val) - this.getTimestamp(this.end_time);
      if (time > 0) {
        this.$message.error("结束时间不能小于开始时间");
        this.start_time = "";
      } else {
        this.startTime = this.getTimestamp(val);
        this.start_time = val
        this.GetWarehouse();
      }
    },
    endTimeChange(val) {
      var time = this.getTimestamp(val) - this.getTimestamp(this.start_time);
      if (time < 0) {
        this.$message.error("结束时间不能小于开始时间");
        this.end_time = "";
      } else {
        this.end_time = val
        this.GetWarehouse();
      }
    },
    getTimestamp(time) {
      // 把时间日期转成时间戳
      return new Date(time).getTime() / 1000;
    },
    calculate: function(val) {
      return Math.round(parseFloat(val) * 100) / 100;
    },

    // handleEdit: function(index, row) {
    //   this.$router.push({
    //     name: "drugStockInDetail",
    //     query: { id: row.id, type: this.type }
    //   });
    
    // },
    handleEdit:function(index,row){
       this.$router.push({
         name:"drugStockInOrderEdit",
         query:{id:row.id,type:this.type}
       })
    },
    handleSearch(id){
       this.WarehouseInfo.warehouseInfoDate=[]
       this.GetOrderDetail(id);
      this.dialogVisible = true
    },
    GetOrderDetail(order_id) {
      const params = {
        id: order_id
      };
      console.log("parasm222222222",params)
      this.WarehouseInfo.warehouseInfoDate = []
      getDrugWarehouseInfoList(params).then(response => {
        if (response.data.state == 0) {
          this.$message.error(response.data.msg);
          return false;
        } else {
          console.log("hhhhhhhhhh",response.data.data.info)
          for (let i = 0; i < response.data.data.info.length; i++) {
            this.showOne = true
            this.WarehouseInfo.warehouseInfoDate.push(response.data.data.info[i]);
            console.log("列表详情",this.WarehouseInfo.warehouseInfoDate)
          }
          this.WarehouseInfo.warehouse = response.data.data.warehousing;
          this.getAllDrugList()
        }
      });
    },
    handleDelete: function(index, row) {
      const ids = [];
      ids.push(row.id);
      const idStr = ids.join(",");

      const params = {
        ids: idStr
      };

      this.$confirm("确认删除入库单记录?", "删除入库单记录", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      })
        .then(() => {
          deleteDrugWarehouseInfo(params).then(response => {
            if (response.data.state == 0) {
              this.$message.error(response.data.msg);
              return false;
            } else {
              this.$notify({
                title: "成功",
                message: "删除成功",
                type: "success",
                duration: 2000
              });
              for (let i = 0; i < ids.length; i++) {
                for (let y = 0; y < this.Warehouse.warehouseDate.length; y++) {
                  if (ids[i] == this.Warehouse.warehouseDate[y].id) {
                    this.Warehouse.warehouseDate.splice(y, 1);
                  }
                }
              }
            }
          });
        })
        .catch(() => {});
    },
    changeAllSelected: function(val) {
      if (val) {
        this.$refs.multipleTable.toggleAllSelection();
      } else {
        this.$refs.multipleTable.clearSelection();
      }
    },
    select(selection) {
     
      var ids=[]
      for(let i=0;i<selection.length;i++){
         ids.push(selection[i].id)
      }
      this.order_id = ids.join(",")
      this.selectedTableData = selection;
      this.exportDrugList()
    },
    batchDelete() {
      if (this.selectedTableData.length <= 0) {
        this.$message.error("请选择要删除的记录");
        return;
      }
      const ids = [];
      for (let i = 0; i < this.selectedTableData.length; i++) {
        ids.push(this.selectedTableData[i].id);
      }
      const idStr = ids.join(",");
      const params = {
        ids: idStr
      };
      this.$confirm("确认删除入库单记录?", "删除入库单记录", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      })
        .then(() => {
          deleteDrugWarehouseInfo(params).then(response => {
            if (response.data.state == 0) {
              this.$message.error(response.data.msg);
              return false;
            } else {
              this.$notify({
                title: "成功",
                message: "删除成功",
                type: "success",
                duration: 2000
              });

              for (let i = 0; i < ids.length; i++) {
                for (let y = 0; y < this.Warehouse.warehouseDate.length; y++) {
                  if (ids[i] == this.Warehouse.warehouseDate[y].id) {
                    this.Warehouse.warehouseDate.splice(y, 1);
                  }
                }
              }
            }
          });
        })
        .catch(() => {});
    },
    handleCurrentChangeOne(val){
      this.GetOrderDetail(val.id)
      
    },
    getTime(val) {
       if(val < 0){
           return ""
       }
       if(val == ""){
          return ""
        }else {
          return uParseTime(val, '{y}-{m}-{d}')
        }
     },
     getDrugType(id){
       var name = ""
       for(let i=0;i<this.drugTypeList.length;i++){
          if(id == this.drugTypeList[i].id){
            name = this.drugTypeList[i].name
          }
       }
       return name
     },
     getAllDrugList(){
       getAllDrugList().then(response=>{
          if(response.data.state == 1){
            var manufacturerList = response.data.data.manufacturerList
            this.manufacturerList = manufacturerList
            this.dealerList = response.data.data.dealerList
          }
       })
     },
     getManufacturer(id){
        var name = ""
        for(let i=0;i<this.manufacturerList.length;i++){
           if(id == this.manufacturerList[i].id){
               name = this.manufacturerList[i].manufacturer_name
           }
        }
        return name
     },
     getDealer(id){
       var name = ""
       for(let i=0;i<this.dealerList.length;i++){
          if(id == this.dealerList[i].id){
             name = this.dealerList[i].dealer_name
          }
       }
      return name
     },
     getDictionaryDataConfig(module, filed_name) {
        return getDictionaryDataConfig(module, filed_name)
      },
    drugPrint(){
      if(this.order_id == ""){
         this.$message.error("请选择入库单")
      }else{
        this.$router.push({path:"/stock/drugStockInOrderDetailPrint?id="+this.order_id})
      }
      
    },
    exportDrugList(){
     
      var params = {
        order_id:this.order_id,
      }
      exportDrugList(params).then(response=>{
         if(response.data.state == 1){
          var list =  response.data.data.list
          console.log("list23232323",list)
          for(let i=0;i<list.length;i++){
            list[i].product_date = this.getTime(list[i].product_date)
            list[i].expiry_date = this.getTime(list[i].expiry_date)
          }
          this.exportList = list
          var manufacturerList = response.data.data.manufacturerList
          this.manufacturerList = manufacturerList
          var dealerList = response.data.data.dealerList
          console.log("经销是,",dealerList)
          this.dealerList = dealerList
         }
      })
    },

    toExport(){
      if(this.order_id == ""){
        this.$message.error("请勾选入库单")
      }
      console.log("hhhh2323",this.exportList)
      for(let i=0;i<this.exportList.length;i++){
        this.exportList[i].unit = this.exportList[i].dose + this.exportList[i].dose_unit + "*" + this.exportList[i].min_number + this.exportList[i].min_unit + "/"+this.exportList[i].max_unit

        this.exportList[i].total_price = (this.exportList[i].warehousing_count * this.exportList[i].price).toFixed(2)
         for(let j=0;j<this.manufacturerList.length;j++){
           if(this.exportList[i].manufacturer == this.manufacturerList[j].id){
             this.exportList[i].manufacturer = this.manufacturerList[j].manufacturer_name
           }
           if(this.exportList[i].manufacturer == 0){
              this.exportList[i].manufacturer = ""
           } 
         }

         for(let z=0;z<this.dealerList.length;z++){
           if(this.exportList[i].dealer == this.dealerList[z].id){
              this.exportList[i].dealer = this.dealerList[z].dealer_name
           }
           if(this.exportList[i].dealer == 0){
             this.exportList[i].dealer = ""
           }
         }
      }
      
      import('@/vendor/Export2Excel').then(excel => {
        console.log("232323",this.drugTypeList)
        console.log("hhh23",this.exportList)
         for(let i=0;i<this.exportList.length;i++){
           for(let j=0;j<this.drugTypeList.length;j++){
             if(this.exportList[i].drug_type == this.drugTypeList[j].id){
               this.exportList[i].drug_type = this.drugTypeList[j].name
             }
           }
         }
              
        const tHeader = ['药品名称','药品类型','规格&单位', '批号','入库数量','进货价','总价','生产厂家','生产日期','有效日期','经销商','批注文号','备注']
        const filterVal = ['drug_name', 'drug_type','unit','batch_number','warehousing_count','price','total_price','manufacturer','product_date','expiry_date','dealer','number','remark']
         
     
        console.log("table",this.exportList)
        
        const data = this.formatJson(filterVal, this.exportList)
        excel.export_json_to_excel({
          header: tHeader,
          data,
          filename: '药品入库单详情'
        })
        this.downloadLoading = false
      })
    },
   formatJson(filterVal, jsonData) {
    return jsonData.map(v => filterVal.map(j => v[j]));
   },
  }
};
</script>

<style rel="stylesheet/css" lang="scss" scoped>
.information {
  border: 1px #dcdfe6 solid;
  padding: 30px 20px 30px 20px;

  .border {
    border-bottom: 1px #dcdfe6 solid;
    margin: 0px 0 20px 0;
  }
}

.edit_separater {
  border-top: 1px solid rgb(233, 233, 233);
  margin-top: 15px;
  margin-bottom: 15px;
}
</style>

<style>
.sign-and-weigh-box .sign-and-weigh-box-patients .cell {
  font-size: 12px;
}

.sign-and-weigh-box .sign-and-weigh-box-patients .current-row > td {
  background: #6fb5fa;
}

.count {
  color: #bd2c00;
}
.el-table td,
.el-table th.is-leaf,
.el-table--border,
.el-table--group {
  border-color: #d0d3da;
}
.el-table--border::after,
.el-table--group::after,
.el-table::before {
  background-color: #d0d3da;
}
</style>
